.switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
}
 
.switch input {
	opacity: 0;
	width: 0;
	height: 0;
}
 
.slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: var(--color-secondary);
	-webkit-transition: .4s;
	transition: .4s;
}
 
.slider:before {
	position: absolute;
	content: "";
	height: var(--size-large);
	width: var(--size-large);
	left: var(--spacing-xsmall);
	bottom: var(--spacing-xsmall);
	background-color: white;
	-webkit-transition: .2s;
	transition: .2s;
}
 
input:checked + .slider {
	background-color: var(--color-accent-1);
}
 
input:checked + .slider:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}

.slider.round {
	border-radius: 34px;
}
 
.slider.round:before {
	border-radius: 50%;
}